Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 622648

Summary: dev-python/twisted-16.6.0-r3 Stabilization
Product: Gentoo Linux Reporter: Brian Dolbec <dolsen>
Component: StabilizationAssignee: Brian Dolbec <dolsen>
Status: RESOLVED FIXED    
Severity: normal CC: python
Priority: Normal Flags: stable-bot: sanity-check+
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
=dev-python/twisted-16.6.0-r3 alpha amd64 arm arm64 hppa ppc ppc64 x86 =dev-python/incremental-16.10.1 alpha amd64 arm arm64 hppa ppc ppc64 x86 =dev-python/constantly-15.1.0 alpha amd64 arm arm64 hppa ppc ppc64 x86 =dev-python/hyper-h2-2.5.1 alpha amd64 arm arm64 hppa ppc ppc64 x86 =dev-python/hyperframe-4.0.1 alpha amd64 arm arm64 hppa ppc ppc64 x86 =dev-python/hpack-2.3.0-r1 alpha amd64 arm arm64 hppa ppc ppc64 x86 =dev-python/priority-1.3.0 alpha amd64 arm arm64 hppa ppc ppc64 x86 =dev-python/gmpy-2.0.8 alpha arm arm64 hppa =sci-libs/mpir-2.6.0-r2 alpha arm arm64 hppa
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 622644, 635418    

Description Brian Dolbec gentoo-dev 2017-06-24 21:13:19 UTC
Please stabilize the twisted-16.6.0-r2.  The only change to the installed pkgs (compared to -r1) is a tiny script that is installed to handle the pugin cache update instead of similar code used in the eclass.  It also provides a better means for other packages that install plugins to twisted.

For FEATURES=test installs there are several tests that are disabled for the sandbox run due to known issues with teh test run in the sandbox and or run as root user.

If desired, the most complete test suite run is performed after install, as a normal user via the command:

trial twisted
Comment 1 Stabilization helper bot gentoo-dev 2017-06-24 22:01:46 UTC
An automated check of this bug failed - the following atoms are unknown:

dev-python/hyper-h2-2.5.0
dev-python/priority-1.1.0

Please verify the atom list.
Comment 2 Stabilization helper bot gentoo-dev 2017-06-25 00:01:49 UTC
An automated check of this bug failed - repoman reported dependency errors (94 lines truncated): 

> dependency.bad dev-python/gmpy/gmpy-2.0.8.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['sci-libs/mpir']
> dependency.bad dev-python/gmpy/gmpy-2.0.8.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['sci-libs/mpir']
> dependency.bad dev-python/gmpy/gmpy-2.0.8.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['sci-libs/mpir']
> dependency.bad dev-python/hyper-h2/hyper-h2-2.5.1.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=dev-python/hyperframe-4.0.1[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '<dev-python/hyperframe-5.0.0[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/hpack-2.2.0[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '<dev-python/hpack-3.0.0[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/hyper-h2/hyper-h2-2.5.1.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=dev-python/hyperframe-4.0.1[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '<dev-python/hyperframe-5.0.0[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/hpack-2.2.0[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '<dev-python/hpack-3.0.0[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/hyper-h2/hyper-h2-2.5.1.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=dev-python/hyperframe-4.0.1[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '<dev-python/hyperframe-5.0.0[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/hpack-2.2.0[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '<dev-python/hpack-3.0.0[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
Comment 3 Stabilization helper bot gentoo-dev 2017-06-25 01:01:33 UTC
An automated check of this bug failed - the following atom is unknown:

sci-libs/mpir-2.0.8

Please verify the atom list.
Comment 4 Stabilization helper bot gentoo-dev 2017-06-25 02:02:41 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 5 Tobias Klausmann gentoo-dev 2017-06-26 20:20:18 UTC
Stable on alpha.
Comment 6 Agostino Sarubbo gentoo-dev 2017-06-28 13:20:35 UTC
amd64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2017-06-30 11:12:40 UTC
x86 stable
Comment 8 Agostino Sarubbo gentoo-dev 2017-07-07 13:26:55 UTC
ppc stable
Comment 9 Agostino Sarubbo gentoo-dev 2017-07-07 14:52:26 UTC
ppc64 stable
Comment 10 Stabilization helper bot gentoo-dev 2017-12-09 22:01:39 UTC
An automated check of this bug failed - the following atom is unknown:

dev-python/twisted-16.6.0-r2

Please verify the atom list.
Comment 11 Sergei Trofimovich gentoo-dev 2018-03-30 18:09:09 UTC
hppa stable
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-05-01 10:53:36 UTC
it seems all have a;ready been done for arm, but mpir. Should be ok now.
Comment 13 Rolf Eike Beer 2018-09-29 08:35:37 UTC
sparc done (everything but mpir).